Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0038922
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] A. Platformmajoralways2018-07-09 17:302018-08-10 08:49
ReporterLeyreView Statuspublic 
Assigned Tojarmendariz 
PriorityhighResolutionfixedFixed in Version3.0PR18Q4
StatusclosedFix in branchFixed in SCM revision984e19080e17
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Toalostale
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0038922: The variants of a product are not shown.

DescriptionWhen you press the button "Manage Variants" in product window, and there are several variants defined, the new window does not show the variants, even you clean the filters.

If there are few variants defined, it works correctly.
Steps To ReproduceSee the following video:

https://youtu.be/0GM_TrtgJQA [^]

TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to defect 00268673.0PR14Q4 closeddaniOpenbravo The manage variants process causes the server crash with a big amount of possible combinations. 

-  Notes
(0106159)
hgbot (developer)
2018-08-03 13:51

Repository: erp/devel/pi
Changeset: 984e19080e172ee1598ae09d07e97a355f02fdc6
Author: Javier Armendáriz <javier.armendariz <at> openbravo.com>
Date: Wed Aug 01 13:42:45 2018 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/984e19080e172ee1598ae09d07e97a355f02fdc6 [^]

Fixed issue 38922: The variants of a product are not shown.

Currently the manage variants datasource is limited to 1000 variants, and
if this limit is exceeded no data is calculated even if performing filters.
This process needs further optimization and refactor.
This changeset adds the possibility of showing an error message when a exception
in the datasource is thrown. This let us to show a different message when
variants limit is exceeded or no variants are available.

---
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/process/ob-pick-and-execute-grid.js
M modules/org.openbravo.service.datasource/src/org/openbravo/service/datasource/ReadOnlyDataSourceService.java
M modules/org.openbravo.userinterface.smartclient/web/org.openbravo.userinterface.smartclient/js/ob-smartclient.js
M src-db/database/sourcedata/AD_MESSAGE.xml
M src/org/openbravo/materialmgmt/ManageVariantsDS.java
M web/js/productCharacteristicsProcess.js
---
(0106240)
hudsonbot (developer)
2018-08-08 13:06

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/bfd7a414183a [^]
Maturity status: Test
(0106273)
alostale (developer)
2018-08-10 08:48

Reviewed and tested: although it is still not possible to operate in this popup with more than 1K characteristics, not even filtering them, now different messages are displayed when in this situation or if there are no records to show.

- Issue History
Date Modified Username Field Change
2018-07-09 17:30 Leyre New Issue
2018-07-09 17:30 Leyre Assigned To => platform
2018-07-09 17:30 Leyre Modules => Core
2018-07-09 17:30 Leyre Triggers an Emergency Pack => No
2018-07-16 15:57 Practics Issue Monitored: Practics
2018-07-24 18:34 ngarcia Relationship added related to 0026867
2018-07-31 16:58 jarmendariz Status new => acknowledged
2018-08-03 13:51 hgbot Checkin
2018-08-03 13:51 hgbot Note Added: 0106159
2018-08-03 13:51 hgbot Status acknowledged => resolved
2018-08-03 13:51 hgbot Resolution open => fixed
2018-08-03 13:51 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/984e19080e172ee1598ae09d07e97a355f02fdc6 [^]
2018-08-03 13:52 jarmendariz Assigned To platform => jarmendariz
2018-08-03 13:52 jarmendariz Review Assigned To => alostale
2018-08-08 13:06 hudsonbot Checkin
2018-08-08 13:06 hudsonbot Note Added: 0106240
2018-08-10 08:49 alostale Note Added: 0106273
2018-08-10 08:49 alostale Status resolved => closed
2018-08-10 08:49 alostale Fixed in Version => 3.0PR18Q4


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker